com.corticon.eclipse.core

## Interface IPreferences

-     public interface IPreferences

  Interface IPreferences provides easy access to workspace preferences. Its implementation is a wrapper for IPreferencesDelegate, which provides low-level access to the preferences store.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BRMS_FILE_URI`
    `static java.lang.String` | `LICENSE_DETAILS`
    `static java.lang.String` | `LICENSE_FILE_URI`
    `static java.lang.String` | `RULETEST_EDITOR_SCROLL_LOCK`
    `static java.lang.String` | `SCOPE_INSTANCE_QUALIFIER`
    `static java.lang.String` | `USER_ROLE`
    `static int` | `USER_ROLE_RULE_DEPLOYMENT`
    `static int` | `USER_ROLE_RULE_MANAGEMENT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLicenseFileURI()` Return the URI of the license file as a string.
    `boolean` | `isRuletestEditorScrollLock()` Return `true` if Ruletest Editor scroll lock is set.
    `boolean` | `isUserRoleDeployment()` Deprecated. should use method isUserRoleDeployment(IStudioLicense aIStudioLicense)
    `boolean` | `isUserRoleDeployment(com.corticon.license.IStudioLicense aIStudioLicense)` Just as this is outlined above in the isUserRoleRuleManagement() method, we need to take in account the current value inside the License which may precede what is in the preferences.
    `boolean` | `isUserRoleRuleManagement()` Deprecated. should use method isUserRoleRuleManagement(IStudioLicense aIStudioLicense)
    `boolean` | `isUserRoleRuleManagement(com.corticon.license.IStudioLicense aIStudioLicense)` Check to see if the current license restricts the user to Rule Modeling only.

- - ### Field Detail

    - #### SCOPE_INSTANCE_QUALIFIER

          static final java.lang.String SCOPE_INSTANCE_QUALIFIER

      See Also:
        Constant Field Values

    - #### USER_ROLE

          static final java.lang.String USER_ROLE

      See Also:
        Constant Field Values

    - #### RULETEST_EDITOR_SCROLL_LOCK

          static final java.lang.String RULETEST_EDITOR_SCROLL_LOCK

      See Also:
        Constant Field Values

    - #### BRMS_FILE_URI

          static final java.lang.String BRMS_FILE_URI

      See Also:
        Constant Field Values

    - #### LICENSE_FILE_URI

          static final java.lang.String LICENSE_FILE_URI

      See Also:
        Constant Field Values

    - #### LICENSE_DETAILS

          static final java.lang.String LICENSE_DETAILS

      See Also:
        Constant Field Values

    - #### USER_ROLE_RULE_MANAGEMENT

          static final int USER_ROLE_RULE_MANAGEMENT

      See Also:
        Constant Field Values

    - #### USER_ROLE_RULE_DEPLOYMENT

          static final int USER_ROLE_RULE_DEPLOYMENT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isUserRoleRuleManagement

          boolean isUserRoleRuleManagement()

      Deprecated. should use method isUserRoleRuleManagement(IStudioLicense aIStudioLicense)
      Return `true` if user role is "rule management".
      Returns:
        `true` if user role is "rule management".

    - #### isUserRoleRuleManagement

          boolean isUserRoleRuleManagement(com.corticon.license.IStudioLicense aIStudioLicense)

      Check to see if the current license restricts the user to Rule Modeling only.
      Returns:
        `true` if user role is "rule management".

    - #### isUserRoleDeployment

          boolean isUserRoleDeployment()

      Deprecated. should use method isUserRoleDeployment(IStudioLicense aIStudioLicense)
      Return `true` if user role is "deployment".
      Returns:
        `true` if user role is "deployment".

    - #### isUserRoleDeployment

          boolean isUserRoleDeployment(com.corticon.license.IStudioLicense aIStudioLicense)

      Just as this is outlined above in the isUserRoleRuleManagement() method, we need to take in account the current value inside the License which may precede what is in the preferences.
      Parameters:
        `IStudioLicense` - This will be passed in by the Model asking the question.
      Returns:
        `true` if user role is "deployment".

    - #### getLicenseFileURI

          java.lang.String getLicenseFileURI()

      Return the URI of the license file as a string.
      Returns:
        URI of license file.

    - #### isRuletestEditorScrollLock

          boolean isRuletestEditorScrollLock()

      Return `true` if Ruletest Editor scroll lock is set.
      Returns:
        `true` if the Ruletest Editor scroll lock is set.

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.